POST ticket/clubcard/buyNew/{appId}/{auth}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
appId

integer

Required

auth

string

Required

Body Parameters

BuyNewClubcardRequest
NameDescriptionTypeAdditional information
sessionId

globally unique identifier

None.

clubcardTypeId

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "sessionId": "7eb21b5e-d55b-4619-b8c1-a7f71d02f058",
  "clubcardTypeId": 2
}

application/xml, text/xml

Sample:
<BuyNewClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
  <clubcardTypeId>2</clubcardTypeId>
  <sessionId>7eb21b5e-d55b-4619-b8c1-a7f71d02f058</sessionId>
</BuyNewClubcardRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

ByNewClubcardResponse
NameDescriptionTypeAdditional information
result

ClubcardResult

None.

clubcardId

globally unique identifier

None.

startPaymentId

globally unique identifier

None.

startUrl

string

None.

Response Formats

application/json, text/json

Sample:
{
  "result": {
    "code": 0,
    "message": "sample string 1"
  },
  "clubcardId": "68730589-f703-4d11-9090-d3f8bbe37a96",
  "startPaymentId": "7a27f9d9-52eb-4093-b967-b94ae4f64d95",
  "startUrl": "sample string 3"
}

application/xml, text/xml

Sample:
<ByNewClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
  <clubcardId>68730589-f703-4d11-9090-d3f8bbe37a96</clubcardId>
  <result>
    <code>OK</code>
    <message>sample string 1</message>
  </result>
  <startPaymentId>7a27f9d9-52eb-4093-b967-b94ae4f64d95</startPaymentId>
  <startUrl>sample string 3</startUrl>
</ByNewClubcardResponse>